{{ define "head" }}

{{ $pageType := "Article" }}

{{ if eq .CurrentSection.File.Path "news/_index.md" }}
{{ $pageType = "NewsArticle" }}
{{ end }}

{{ if eq .CurrentSection.File.Path "blog/_index.md" }}
{{ $pageType = "BlogPosting" }}
{{ end }}

<script type="application/ld+json">
    {
      "@context": "https://schema.org",
      "@type": "{{ $pageType }}",
      "headline": "{{ .Title }}",
      "datePublished": "{{ .Date | time.Format "2006-01-02T15:04:05Z07:00" }}",
      "dateModified": "{{ .Lastmod | time.Format "2006-01-02T15:04:05Z07:00" }}",
      "author": [{
          "@type": "Organization",
          "name": "etke.cc",
          "url": "https://etke.cc"
        }]
    }
</script>
{{ end }}

{{ define "main" }}
<section class="container">
    <h1 class="text-center page-title"><span class="hero-accent">{{ .Title }}</span></h1>

    <div class="row">
        <div class="col-md-3">
            <div class="side-nav">
                {{ .TableOfContents }}
            </div>
        </div>
        <div class="col-md-9">
            <div class="page-content">
                {{ .Content }}
            </div>
        </div>
    </div>
</section>

{{ partial "no-server-yet.html" . }}
{{ end }}
